Package org.gitana.platform.client.log

# Class LogStackTraceElement

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.log.LogStackTraceElement

All Implemented Interfaces:
  `Serializable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class LogStackTraceElement extends org.gitana.platform.support.GitanaObjectImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_CLASS`
`static final String`
`FIELD_CLASS_FULLY_QUALIFIED_NAME`
`static final String`
`FIELD_CLASS_NAME`
`static final String`
`FIELD_CLASS_PACKAGE`
`static final String`
`FIELD_FILENAME`
`static final String`
`FIELD_LINE_NUMBER`
`static final String`
`FIELD_METHOD`

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`LogStackTraceElement(com.fasterxml.jackson.databind.node.ObjectNode object)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassFullyQualifiedName()`
`String`
`getClassName()`
`String`
`getClassPackage()`
`String`
`getFilename()`
`int`
`getLine()`
`String`
`getMethod()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FIELD_FILENAME

public static final String FIELD_FILENAME

See Also:
  - Constant Field Values

### FIELD_METHOD

public static final String FIELD_METHOD

See Also:
  - Constant Field Values

### FIELD_LINE_NUMBER

public static final String FIELD_LINE_NUMBER

See Also:
  - Constant Field Values

### FIELD_CLASS

public static final String FIELD_CLASS

See Also:
  - Constant Field Values

### FIELD_CLASS_FULLY_QUALIFIED_NAME

public static final String FIELD_CLASS_FULLY_QUALIFIED_NAME

See Also:
  - Constant Field Values

### FIELD_CLASS_PACKAGE

public static final String FIELD_CLASS_PACKAGE

See Also:
  - Constant Field Values

### FIELD_CLASS_NAME

public static final String FIELD_CLASS_NAME

See Also:
  - Constant Field Values

## Constructor Details

### LogStackTraceElement

public LogStackTraceElement(com.fasterxml.jackson.databind.node.ObjectNode object)

## Method Details

### getFilename

public String getFilename()

### getMethod

public String getMethod()

### getLine

public int getLine()

### getClassFullyQualifiedName

public String getClassFullyQualifiedName()

### getClassPackage

public String getClassPackage()

### getClassName

public String getClassName()